Skip to main content
GET
/
exportedKeys
List Exported Keys
curl --request GET \
  --url https://cloud.cdata.com/api/exportedKeys \
  --header 'Authorization: Basic <encoded-value>'
{
  "results": [
    {
      "affectedRows": 123,
      "schema": [
        {
          "catalogName": "<string>",
          "columnLabel": "<string>",
          "columnName": "<string>",
          "dataType": 1,
          "dataTypeName": "<string>",
          "length": 123,
          "nullable": true,
          "ordinal": 123,
          "precision": 123,
          "scale": 123,
          "schemaName": "<string>",
          "tableName": "<string>"
        }
      ],
      "rows": [
        [
          "<unknown>"
        ]
      ]
    }
  ],
  "error": {
    "code": 0,
    "message": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Authentication with username and password. Use your PAT as the password. You can get your PAT from Connect AI by selecting Settings > Access Tokens.

Query Parameters

workspace
string

Restricts results to the specified workspace.

catalogName
string

Restricts results to the specified catalog.

schemaName
string

Restricts results to the specified schema.

tableName
string

Restricts results to the specified table.

Response

200 - application/json

OK

results
object[] | null
error
object